Features

Download

Online

Gallery

Blog

  Index  | Recent Threads  | List Attachments  | Help  | Search
 Welcome Guest  |  Register  |  Login
Login Name  Password
 

Sweet Home 3D Forum



No member browsing this thread
Thread Status: Active
Total posts in this thread: 13
Posts: 13   Pages: 2   [ 1 2 | Next Page ]
[ Jump to Last Post ]
Post new Thread
Author
Previous Thread This topic has been viewed 9682 times and has 12 replies Next Thread
ejneafsey
Newbie



USA
Joined: Nov 24, 2016
Post Count: 2
Status: Offline
Reply to this Post  Reply with Quote 
SweetHome3D-5.3 gives 3D error on Ubuntu 16.04 with updated Nvidia driver (375.20)

Running Xubuntu 16.04.

I downloaded new 5.3 version of SH3D. It gave me the 3D error. I then upgraded to latest Nvidia driver (375.20). Still received the 3D error.
Here is the full error message:
======================================================================
eneafse:~/bin/java/SweetHome3D-5.3$ ./SweetHome3D
com.jogamp.opengl.GLException: J3D-Renderer-1: Error making temp context(1) current: display 0x7f4168178e90, context 0x7f41680152a8, drawable X11OnscreenGLXDrawable[Realized true,
Factory jogamp.opengl.x11.glx.X11GLXDrawableFactory@156d498a,
Handle 0x180009d,
Surface JAWTWindow[0x51134a51][JVM version: 1.8.0_112 (1.8.0 update 112)
JAWT version: 0x10004, CA_LAYER: false, isLayeredSurface false, bounds [ 0 / 0 737 x 359 ], insets [ l 0, r 0 - t 0, b 0 - 0x0], pixelScale 1.0x1.0, shallUseOffscreenLayer false, isOffscreenLayerSurface false, attachedSurfaceLayer 0x0, windowHandle 0x180009d, surfaceHandle 0x180009d, bounds [ 0 / 0 737 x 359 ], insets [ l 0, r 0 - t 0, b 0 - 0x0], window [0/0 737x359], pixels[scale 1.0, 1.0 -> 737x359], visible true, lockedExt false,
config AWTGraphicsConfiguration[AWTGraphicsScreen[AWTGraphicsDevice[type .awt, connection :0.0, unitID 0, awtDevice X11GraphicsDevice[screen=0], handle 0x0], idx 0],
chosen GLCaps[glx vid 0x28, fbc 0xdf: rgba 8/8/8/8, opaque, accum-rgba 16/16/16/16, dp/st/ms 24/0/0, dbl, mono , hw, GLProfile[GL4bc/GL4bc.hw], on-scr[.]],
requested GLCaps[rgba 5/5/5/1, opaque, accum-rgba 0/0/0/0, dp/st/ms 16/0/0, dbl, mono , hw, GLProfile[GL4bc/GL4bc.hw], on-scr[.]],
X11GraphicsConfig[dev=X11GraphicsDevice[screen=0],vis=0x28],
encapsulated X11GLXGraphicsConfiguration[X11GraphicsScreen[X11GraphicsDevice[type .x11, connection :0.0, unitID 0, handle 0x7f4168178e90, owner true, JAWTToolkitLock[obj 0x38b9192f, isOwner true, <fb2f30d, 70ecca68>[count 1, qsz 0, owner <J3D-Renderer-1>]]], idx 0], visualID 0x28, fbConfigID 0xdf,
requested GLCaps[rgba 5/5/5/1, opaque, accum-rgba 0/0/0/0, dp/st/ms 16/0/0, dbl, mono , hw, GLProfile[GL4bc/GL4bc.hw], on-scr[.]],
chosen GLCaps[glx vid 0x28, fbc 0xdf: rgba 8/8/8/8, opaque, accum-rgba 16/16/16/16, dp/st/ms 24/0/0, dbl, mono , hw, GLProfile[GL4bc/GL4bc.hw], on-scr[.]]]],
awtComponent com.eteks.sweethome3d.j3d.Component3DManager$ObservedCanvas3D[canvas2,0,0,737x359],
surfaceLock <b66caa, 315a9ccb>[count 1, qsz 0, owner <J3D-Renderer-1>]]]
at jogamp.opengl.x11.glx.X11GLXContext.createImpl(X11GLXContext.java:393)
at jogamp.opengl.GLContextImpl.makeCurrentWithinLock(GLContextImpl.java:765)
at jogamp.opengl.GLContextImpl.makeCurrent(GLContextImpl.java:648)
at jogamp.opengl.GLContextImpl.makeCurrent(GLContextImpl.java:586)
at javax.media.j3d.JoglPipeline.createNewContext(JoglPipeline.java:6411)
at javax.media.j3d.Canvas3D.createNewContext(Canvas3D.java:4602)
at javax.media.j3d.Canvas3D.createNewContext(Canvas3D.java:2376)
at javax.media.j3d.Renderer.doWork(Renderer.java:881)
at javax.media.j3d.J3dThread.run(J3dThread.java:271)
Error in Java 3D : 3 Renderer: Error creating Canvas3D graphics contextX11Util.Display: Shutdown (JVM shutdown: true, open (no close attempt): 2/2, reusable (open, marked uncloseable): 0, pending (open in creation order): 2)
X11Util: Open X11 Display Connections: 2
X11Util: Open[0]: NamedX11Display[:0.0, 0x7f4168001620, refCount 1, unCloseable false]
X11Util: Open[1]: NamedX11Display[:0.0, 0x7f4168178e90, refCount 1, unCloseable false]
eneafse:~/bin/java/SweetHome3D-5.3$
====================================================================

Don't know what to do next.

Thanks.

E.J. Neafsey
[Nov 24, 2016 1:41:23 PM] Show Printable Version of Post    View Member Profile    Send Private Message [Link] Report threatening or abusive post: please login first  Go to top 
Puybaret
Expert
Member's Avatar

France
Joined: Nov 7, 2005
Post Count: 5837
Status: Offline
Reply to this Post  Reply with Quote 
Re: SweetHome3D-5.3 gives 3D error on Ubuntu 16.04 with updated Nvidia driver (375.20)

Please try also the SweetHome3D-Java3D-1_5_2 script available in the installer version.
----------------------------------------
Emmanuel Puybaret, Sweet Home 3D developer
[Nov 24, 2016 10:13:10 PM] Show Printable Version of Post    View Member Profile    Send Private Message    Hidden to Guest    http://www.eteks.com [Link] Report threatening or abusive post: please login first  Go to top 
ejneafsey
Newbie



USA
Joined: Nov 24, 2016
Post Count: 2
Status: Offline
Reply to this Post  Reply with Quote 
Re: SweetHome3D-5.3 gives 3D error on Ubuntu 16.04 with updated Nvidia driver (375.20)

Problem solved with the SweetHome3D-Java3D-1_5_2 script!
Thanks!
[Nov 25, 2016 2:41:09 PM] Show Printable Version of Post    View Member Profile    Send Private Message [Link] Report threatening or abusive post: please login first  Go to top 
Puybaret
Expert
Member's Avatar

France
Joined: Nov 7, 2005
Post Count: 5837
Status: Offline
Reply to this Post  Reply with Quote 
Re: SweetHome3D-5.3 gives 3D error on Ubuntu 16.04 with updated Nvidia driver (375.20)

Thanks for your feedback.
It looks like I'll have to provide Java 3D 1.5.2 along with Java 3D 1.6.0 for a while with Linux sad
----------------------------------------
Emmanuel Puybaret, Sweet Home 3D developer
[Nov 25, 2016 6:59:09 PM] Show Printable Version of Post    View Member Profile    Send Private Message    Hidden to Guest    http://www.eteks.com [Link] Report threatening or abusive post: please login first  Go to top 
rpax
Newbie



Spain
Joined: Sep 10, 2016
Post Count: 2
Status: Offline
Reply to this Post  Reply with Quote 
Re: SweetHome3D-5.3 gives 3D error on Ubuntu 16.04 with updated Nvidia driver (375.20)

Seems to be a problem with the onscreen rendering.

I'm Using Ubuntu 16.04.1 LTS 64-bit, and an NVIDIA Quadro K2100M.

It gives me the following error:


com.jogamp.opengl.GLException: J3D-Renderer-1: Error making temp context(1) current: display 0x7f73c0196160, context 0x7f73c01a78d0, drawable X11OnscreenGLXDrawable[Realized true,
Factory jogamp.opengl.x11.glx.X11GLXDrawableFactory@8feadc3,
Handle 0x480009b,
Surface JAWTWindow[0x1bc19888][JVM version: 1.8.0_111 (1.8.0 update 111)
JAWT version: 0x10004, CA_LAYER: false, isLayeredSurface false, bounds [ 0 / 0 749 x 373 ], insets [ l 0, r 0 - t 0, b 0 - 0x0], pixelScale 1.0x1.0, shallUseOffscreenLayer false, isOffscreenLayerSurface false, attachedSurfaceLayer 0x0, windowHandle 0x480009b, surfaceHandle 0x480009b, bounds [ 0 / 0 749 x 373 ], insets [ l 0, r 0 - t 0, b 0 - 0x0], window [0/0 749x373], pixels[scale 1.0, 1.0 -> 749x373], visible true, lockedExt false,
config AWTGraphicsConfiguration[AWTGraphicsScreen[AWTGraphicsDevice[type .awt, connection :0.0, unitID 0, awtDevice X11GraphicsDevice[screen=0], handle 0x0], idx 0],
chosen GLCaps[glx vid 0x72, fbc 0x189: rgba 8/8/8/8, opaque, accum-rgba 16/16/16/16, dp/st/ms 24/0/0, dbl, mono , hw, GLProfile[GL4bc/GL4bc.hw], on-scr[.]],
requested GLCaps[rgba 5/5/5/1, opaque, accum-rgba 0/0/0/0, dp/st/ms 16/0/0, dbl, mono , hw, GLProfile[GL4bc/GL4bc.hw], on-scr[.]],
X11GraphicsConfig[dev=X11GraphicsDevice[screen=0],vis=0x72],
encapsulated X11GLXGraphicsConfiguration[X11GraphicsScreen[X11GraphicsDevice[type .x11, connection :0, unitID 0, handle 0x7f73c0196160, owner true, JAWTToolkitLock[obj 0x3f6b4a2c, isOwner true, <bc669e9, 762b4de7>[count 1, qsz 0, owner <J3D-Renderer-1>]]], idx 0], visualID 0x72, fbConfigID 0x189,
requested GLCaps[rgba 5/5/5/1, opaque, accum-rgba 0/0/0/0, dp/st/ms 16/0/0, dbl, mono , hw, GLProfile[GL4bc/GL4bc.hw], on-scr[.]],
chosen GLCaps[glx vid 0x72, fbc 0x189: rgba 8/8/8/8, opaque, accum-rgba 16/16/16/16, dp/st/ms 24/0/0, dbl, mono , hw, GLProfile[GL4bc/GL4bc.hw], on-scr[.]]]],
awtComponent com.eteks.sweethome3d.j3d.Component3DManager$ObservedCanvas3D[canvas2,0,0,749x373],
surfaceLock <77ba2b41, 11e94f54>[count 1, qsz 0, owner <J3D-Renderer-1>]]]
at jogamp.opengl.x11.glx.X11GLXContext.createImpl(X11GLXContext.java:393)
at jogamp.opengl.GLContextImpl.makeCurrentWithinLock(GLContextImpl.java:765)
at jogamp.opengl.GLContextImpl.makeCurrent(GLContextImpl.java:648)
at jogamp.opengl.GLContextImpl.makeCurrent(GLContextImpl.java:586)
at javax.media.j3d.JoglPipeline.createNewContext(JoglPipeline.java:6411)
at javax.media.j3d.Canvas3D.createNewContext(Canvas3D.java:4602)
at javax.media.j3d.Canvas3D.createNewContext(Canvas3D.java:2376)
at javax.media.j3d.Renderer.doWork(Renderer.java:881)
at javax.media.j3d.J3dThread.run(J3dThread.java:271)



Try setting the flag
-Dcom.eteks.sweethome3d.j3d.useOffScreen3DView=true
. It should work.

@Puybaret: Debugging a little bit, seems that something is messed up in the interaction between the creation of the 3D Canvas and the new java3D libraries. I'll take a closer look at
com.eteks.sweethome3d.j3d.Component3DManager
.


Best,

-.Rafael.
[Dec 6, 2016 8:05:36 PM] Show Printable Version of Post    View Member Profile    Send Private Message    Hidden to Guest    http://rafaelpax.com [Link] Report threatening or abusive post: please login first  Go to top 
Puybaret
Expert
Member's Avatar

France
Joined: Nov 7, 2005
Post Count: 5837
Status: Offline
Reply to this Post  Reply with Quote 
Re: SweetHome3D-5.3 gives 3D error on Ubuntu 16.04 with updated Nvidia driver (375.20)

Rafael, the report just says that the class of the displayed component is com.eteks.sweethome3d.j3d.Component3DManager$ObservedCanvas3D and I fear the problem is somewhere else.
Did you try the SweetHome3D-Java3D-1_5_2 script available in the installer version?
----------------------------------------
Emmanuel Puybaret, Sweet Home 3D developer
[Dec 9, 2016 6:49:20 PM] Show Printable Version of Post    View Member Profile    Send Private Message    Hidden to Guest    http://www.eteks.com [Link] Report threatening or abusive post: please login first  Go to top 
rpax
Newbie



Spain
Joined: Sep 10, 2016
Post Count: 2
Status: Offline
Reply to this Post  Reply with Quote 
Re: SweetHome3D-5.3 gives 3D error on Ubuntu 16.04 with updated Nvidia driver (375.20)

Yes, and it works fine. But I want to use java3d 1.6. With the offscreen it works, at least for me. Is anybody having this problem with the flag set?
[Dec 9, 2016 7:03:27 PM] Show Printable Version of Post    View Member Profile    Send Private Message    Hidden to Guest    http://rafaelpax.com [Link] Report threatening or abusive post: please login first  Go to top 
dgbutterworth
Newbie




Joined: Mar 20, 2016
Post Count: 3
Status: Offline
Reply to this Post  Reply with Quote 
Re: SweetHome3D-5.3 gives 3D error on Ubuntu 16.04 with updated Nvidia driver (375.20)

Hi, and thanks for your great works. I had and still have the same problem with a video related error in SH3D 5.3 - (running Mint 17.3) - that's referenced in this thread. Using the SweetHome3D-Java3D-1_5_2 script solved the problem and everything was great. (In fact - before 5.3, I could not load the program for a long time and was using the web start version - which was limiting.)
Maybe this too deeply buried to be noted, but I just wanted to note that I still have th same problem with version 5.4 - which is still resolved entirely to my satisfaction using the SweetHome3D-Java3D-1_5_2 script.
Thanks again. Shout if I can provide any additional info that would be helpful.

dgbutterworth
"... until you break it, you'll never know whether it needs to be fixed. so try harder."
[Feb 7, 2017 7:14:36 AM] Show Printable Version of Post    View Member Profile    Send Private Message [Link] Report threatening or abusive post: please login first  Go to top 
dreamcarrior
Newbie



US
Joined: May 6, 2017
Post Count: 1
Status: Offline
Reply to this Post  Reply with Quote 
Re: SweetHome3D-5.3 gives 3D error on Ubuntu 16.04 with updated Nvidia driver (375.20)

I want to report that using Fedora 25 64-bit version kernel 4.10.13-200.fc25.x86_64 #1 SMP with nvidia card also has the same issue. However, using the Java launcher is able to make it work.

Thank you very much!
[May 6, 2017 3:38:59 PM] Show Printable Version of Post    View Member Profile    Send Private Message    Hidden to Guest [Link] Report threatening or abusive post: please login first  Go to top 
hansmex
Advanced Member
Member's Avatar

Netherlands
Joined: Sep 26, 2009
Post Count: 3064
Status: Offline
Reply to this Post  Reply with Quote 
Re: SweetHome3D-5.3 gives 3D error on Ubuntu 16.04 with updated Nvidia driver (375.20)

Start SH3D with SweetHome3D-Java3D-1_5_2 , that should solve your problem.

H
[May 7, 2017 4:56:06 AM] Show Printable Version of Post    View Member Profile    Send Private Message    Hidden to Guest [Link] Report threatening or abusive post: please login first  Go to top 
Posts: 13   Pages: 2   [ 1 2 | Next Page ]
[ Jump to Last Post ]
Show Printable Version of Thread  Post new Thread

    Get Sweet Home 3D at SourceForge.net. Fast, secure and Free Open Source software downloads
   
© Copyright 2006-2017 eTeks - All rights reserved